# Cat-v

Cat-v.org (accessible at http://cat-v.org) is a [minimalist](minimalism.md) [hacker](hacking.md) website describing itself as a *random contrarian insurgent organization* which promotes [critical thinking](critical_thinking.md), [free speech](free_speech.md), examines [technology](tech.md) from minimalist point of view, opposes [orthodoxy](orthodoxy.md) and talks about wider context of technology such as [politics](politics.md), society and philosophy; the site hosts a few "subsites", e.g. those related to [Plan 9](plan9.md) OS and [Go](golang.md) language, however most famous is its  *[encyclopedia](encyclopedia.md) of things considered harmful* (http://harmful.cat-v.org/). The whole site, especially the "harmful" section (which was the first one), revolves around the phrase **"considered [harmful](harmful.md)"** -- this is basically a [computer science](compsci.md) academic [meme](meme.md) that started with a 1968 paper named "Go To Statement Considered Harmful" which was later followed by dozens of similarly named articles; cat-v is taking this to the next level by building a whole website about all things *considered harmful*. The name of the site itself comes from [Rob Pike](rob_pike.md)'s 1983 presentation "UNIX Style, or cat -v Considered Harmful" that criticized the `-v` flag of the [Unix](unix.md) [cat](cat.md) program as such flag, strictly speaking, violates the [Unix philosophy](unix_philosophy.md) (cat should only concatenate files, the flag makes it do something that should rather be done by another program). Though maybe coincidental, the name is also similar to CatB (a short for famous hacker essay/book [Cathedral and Bazaar](bazaar.md)). The site is very nice, made in plain HTML minimalist style, working with HTTP and besides others contains a ton of great quotes on every topic, there is also an [IRC](irc.md), mailing list and a blog.

The section "considered harmful" contains many things, even quite general ones, probably to provoke thought -- one should likely not see a thing present on the list as something we have to always necessarily get rid of -- though many times we should! -- sometimes we just may think about how to improve the thing or minimize its negative impact; try to think of harmful things like "things that suck"; everything sucks, some things just [suck less](suckless.md). Among things listed under the *harmful* section are besides others all [software](software.md), [OOP](oop.md), [GNU](gnu.md), [Linux](linux.md), [C++](cpp.md), dynamic [linking](linking.md), [Java](java.md), [XML](xml.md), [vim](vim.md), [Emacs](emacs.md), [GPL](gpl.md) (one recommended alternative being [CC0](cc0.md) instead), [Perl](perl.md), [standards](standard.md), Sweden, [gay](gay.md) marriage, marriage, children, words, [intellectual property](intellectual_property.md), [religion](religion.md), [science](soyence.md), minimum wage, the Avatar movie, [Wikileaks](wikileaks.md), [people](people.md), [economics](economics.md), [global warming](global_warming.md) scaremongering, [security](security) theater etc.

Cat-v has existed since at least 2005 (according to Internet Archive) and was started by [Uriel M. Pereira](uriel.md), a minimalist hacker who greatly contributed to a lot of [suckless](suckless.md) software and who committed suicide in 2012. Suckless and cat-v seem to be pretty close -- suckless.org has its own section of harmful things called simply "sucks".

From [LRS](lrs.md) point of view cat-v is based in great many ways, mainly its focus on the big picture and wider context or technology, promotion of minimalism, freedom of speech and thinking and anti-orthodoxy -- it is not a soyboy site, good quality sites without [SJW](sjw.md)ery are greatly appreciated. However we would also find disagreements e.g. on [Plan 9](plan9.md) and [Go](goland.md), which we consider greatly harmful. And of course some politics etc.

## See Also

- [suckless](suckless.md)