# Science

*Not to be confused with [soyence](soyence.md)*.

Science (from Latin *scientia*, knowledge or understanding) in a wide sense means systematic gathering, inference and organization of knowledge, in a more strict, "western" sense this process has to be kept rational by obeying some specific strict rules and adhering to whatever principles of objectivity are currently set: nowadays for example the [scientific method](scientific_method.md) or mathematical [proof](proof.md). Sciences in the strict sense include [mathematics](math.md) (so called formal science), [physics](physics.md), biology, chemistry, [computer science](computer_science.md), as well as "soft sciences" such as [psychology](psychology.md), sociology etc. **The beauty of science is you don't have to trust anyone**: science is just about discovering ideas that work, ideas which anyone can test himself that work, so there is no place for preachers, reviewers, judges of "trustworthiness" or "credibility"; people do not matter at all in science, only ideas do. For this science is not to be confused not only with [pseudoscience](pseudoscience.md) (such as [numerology](numerology.md) or [astrology](astrology.md)) but especially with **[soyence](soyence.md)** (political propaganda masked as "science", e.g. [gender studies](gender_studies.md), sponsored "science" of big pharma etc.) -- it must be remembered that **when science can no longer be questioned, it seizes to be science**, as asking questions and examining EVERYTHING are the very basic premises of a true science: this means that anything prohibited to be questioned, by law or [otherwise](de_facto.md) (e.g. by [cancel culture](cancel_culture.md)), such as the [Holocaust](holocaust.md) (forbidden to be denied in many countries such as Germany), [COVID](covid.md) vaccines, [racial](race.md) differences (prohibited on grounds of "[hate speech](hate_speech.md)") and similar topics CANNOT be seen as scientifically established, but rather politically established. Any shift towards establishing principles of trust, belief and "[moderation](moderation.md)", such as nowadays standard [peer censorship](peer_review.md), turns science into religion. In the wider sense science may include anything that involves systematic intellectual research, e.g. [Buddhists](buddhism.md) often say their teaching is science rather than religion, that it is searching for objective truths, and it really is true -- a western fedora atheist will shit himself in rage hearing such claim, however that's all he can really do.

TODO: some noice tree of sciences or smth

**There is no simple objective definition of a strict science** -- the definition of science is hugely arbitrary, political and changes with development of society, technology, culture, changes in government and so on. Science should basically stand for the most rational and objective knowledge we're able to practically obtain about something, however the specific criteria for this are unclear and have to be agreed on. The [scientific method](scientific_method.md) is evolving and there are many debates over it, with some even stating that there can be no universal method of science. The [p-value](p_value.md) used to determine whether measurements are statistically significant has basically just an arbitrarily set value for what's considered a "safe enough" result. Some say that if a research is to be trusted, it has to be [peer reviewed](peer_review.md), i.e. that what's scientific has to be approved by chosen experts -- this may be not just because people can make mistakes but also because in current highly competitive society there appears science [bloat](bloat.md), obscurity and tendencies to push fake research and purposeful deception, i.e. our politics and culture are already defining what science is. However the stricter the criteria for science, the more monopolized, centralized, controlled and censored it becomes.

**Science is not almighty** as brainwashed internet [euphoric](atheism.md) kids like to think, that's a completely false idea fed to them by the overlords who abuse "science" ([soyence](soyence.md)) for control of the masses, as religion was and is still used -- soyence is the new religion [nowadays](21st_century.md). Yes, (true) science is great, it is an awesome tool, but it is just that -- a tool, usable for SOME tasks, not a [silver bullet](silver_bullet.md) that could be used for everything. What can be discovered by science is in fact quite limited, exactly because it purposefully LIMITS itself only to accept what CAN be proven and so remains silent about everything else (which however doesn't mean there lies no knowledge or value in the everything else or in other approaches to learning) -- see e.g. Godel's incompleteness theorems that state it is mathematically impossible to really prove validity of mathematics, or the nice compendium of all knowability limitations at http://humanknowledge.net/Thoughts.html. For many (if not most) things we deal in life science is either highly impractical (do you need to fund a peer reviewed research to decide what movie you'll watch today?) or absolutely useless (setting one's meaning of life, establishing one's basic moral values, placing completely random bets, deciding to trust or distrust someone while lacking scientifically relevant indicators for either, answering metaphysical questions such as "Why is there ultimately something rather than nothing?", anything that cannot be falsified, if only for practical reasons etc.). So don't be Neil de Grass puppet and stop treating science as your omnipotent pimplord, it's just a hammer useful for bashing some specific nails.

**What should we accept as "legit" science?** [We](lrs.md), in the context of our [ideal society](less_retarded_society.md), argue for NOT creating a strict definition of science, just as we are for example against "formalizing morality" with laws etc. There are no hard lines between good and evil, fun and boring, useful and useless, bloated and minimal, and so also there is no strict line between science and non-science. What is and is not science is to be judged on a case-by-case basis and can be disagreed on without any issue, science cannot be a mass produced stream of papers that can automatically be marked OK or NOT OK. We might define the term **[less retarded science](less_retarded_science.md)** so as to distinguish today's many times twisted and corrupted "science/[soyence](soyence.md)" from the real, good and truly useful science. Less retarded science should follow similar principles as [our technology](lrs.md), it should be completely free as in freedom, [selfless](selflessness.md), [suckless](suckless.md) as much as possible, unobscured etc. -- especially stressed should be the idea of many people being able to reproduce less retarded science; e.g. Newton's law of gravitation is less retarded because it can easily be verified by anyone, while the existence of Higgs boson is not.

**Never confuse trusting science with trusting scientists** (especially in [capitalism](capitalism.md) and other dystopias), the latter is literally faith ([soyence](soyence.md)), no different from blindly trusting religious preachers and political propaganda, the former means only trusting that which you yourself can test and verify at home and therefore having real confidence. We are not saying that you should never trust a scientist, only that you should know doing so is just pure relying on someone's word, which in today's society you often cannot afford to do. Also do NOT confuse or equate science with [academia](academia.md). As with everything, under capitalism academia has become rotten to the core, research is motivated by profit and what's produced is mostly utter bullshit shat out by wannabe [PhD](phd.md)s who need to mass produce "something" as a part of the crazy academia publish-or-perish game. As with everything in capitalism, the closer you look, the more corruption you find. So wait, **can we just trust nothing researched by someone else?** It's not so simple: for starters just realize that trusting "the big science" nowadays with anything important (e.g. one's health) is just like entrusting a random stranger in the street something that's valuable to you (actually it's worse because unlike a stranger, entities such as [corporations](corporation.md) have absolutely no emotion and conscience) -- can you do that? Well, sometimes yes, mostly it's probably a great risk, and generally you want to avoid having to do it. In the past things were better, so you can generally trust "science" that was done much further in the past, i.e. facts you find in old encyclopedias are generally more trustworthy than facts you find on today's internet. [LRS](lrs.md) would like to establish society in which "big science" would be trustworthy again; until we succeed though, you have to keep distrust in soyence.